# Uses of Interface
net.shibboleth.shared.security.AccessControl

Packages that use AccessControl
Package
Description
net.shibboleth.shared.security
Helpers for common security related tasks.
net.shibboleth.shared.security.impl
Implementations of security interfaces.
net.shibboleth.shared.service.security.impl
Security-related service implementation classes.

## Uses of AccessControl in net.shibboleth.shared.security

Methods in net.shibboleth.shared.security that return AccessControl
Modifier and Type
Method
Description
`AccessControl`
AccessControlService.`getInstance(String name)`
Get an `AccessControl` instance matching a given name.

## Uses of AccessControl in net.shibboleth.shared.security.impl

Classes in net.shibboleth.shared.security.impl that implement AccessControl
Modifier and Type
Class
Description
`class`
`IPRangeAccessControl`
Simple access control implementation based on IP address checking.
Fields in net.shibboleth.shared.security.impl with type parameters of type AccessControl
Modifier and Type
Field
Description
`private Map<String,AccessControl>`
BasicAccessControlService.`policyMap`
Map of named policies.
Methods in net.shibboleth.shared.security.impl that return AccessControl
Modifier and Type
Method
Description
`AccessControl`
BasicAccessControlService.`getInstance(String name)`
Get an `AccessControl` instance matching a given name.
Method parameters in net.shibboleth.shared.security.impl with type arguments of type AccessControl
Modifier and Type
Method
Description
`void`
BasicAccessControlService.`setPolicyMap(Map<String,AccessControl> map)`
Set the policies to store.

## Uses of AccessControl in net.shibboleth.shared.service.security.impl

Methods in net.shibboleth.shared.service.security.impl that return AccessControl
Modifier and Type
Method
Description
`AccessControl`
DelegatingAccessControlService.`getInstance(String name)`
Get an `AccessControl` instance matching a given name.
`AccessControl`
ReloadingAccessControlService.`getInstance(String name)`
Get an `AccessControl` instance matching a given name.
`AccessControl`
ServiceableAccessControlService.`getInstance(String name)`
Get an `AccessControl` instance matching a given name.